package com.yidianling.fm.api.service

import android.app.Activity
import android.content.Intent
import com.alibaba.android.arouter.facade.template.IProvider

/**
 * Created by xj on 2019/11/4.
 */
interface IFMService: IProvider{

    fun fmListIntent(activity: Activity): Intent

    fun fmDetailIntent(activity: Activity, id: Int): Intent

    fun fmDetailIntent(activity: Activity, id: Int, isSplash: Boolean): Intent

    fun getFmId(): Int

    fun closePlayer()

    fun isPlaying(): Boolean

    fun pause()

    fun replay()
}